SimpleFloatProperty (JavaFX 13)

Module javafx.base
Package javafx.beans.property

## Class SimpleFloatProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.FloatExpression
    - - javafx.beans.property.ReadOnlyFloatProperty
      - - javafx.beans.property.FloatProperty
        - - javafx.beans.property.FloatPropertyBase
          - - javafx.beans.property.SimpleFloatProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`
  Direct Known Subclasses:
    `ReadOnlyFloatWrapper`

      public class SimpleFloatProperty
      extends FloatPropertyBase

  This class provides a full implementation of a `Property` wrapping a `float` value.
  Since:
    JavaFX 2.0
  See Also:
    `FloatPropertyBase`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleFloatProperty()` | The constructor of `FloatProperty`
    `SimpleFloatProperty​(float initialValue)` | The constructor of `FloatProperty`
    `SimpleFloatProperty​(Object bean, String name)` | The constructor of `FloatProperty`
    `SimpleFloatProperty​(Object bean, String name, float initialValue)` | The constructor of `FloatProperty`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.beans.property.FloatPropertyBase

      `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.FloatProperty

      `asObject, bindBidirectional, floatProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyFloatProperty

      `readOnlyFloatProperty`

    - ### Methods inherited from class javafx.beans.binding.FloatExpression

      `add, add, add, add, divide, divide, divide, divide, doubleValue, floatExpression, floatExpression, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleFloatProperty

          public SimpleFloatProperty()

      The constructor of `FloatProperty`

    - #### SimpleFloatProperty

          public SimpleFloatProperty​(float initialValue)

      The constructor of `FloatProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleFloatProperty

          public SimpleFloatProperty​(Object bean,
                                     String name)

      The constructor of `FloatProperty`
      Parameters:
        `bean` - the bean of this `FloatProperty`
        `name` - the name of this `FloatProperty`

    - #### SimpleFloatProperty

          public SimpleFloatProperty​(Object bean,
                                     String name,
                                     float initialValue)

      The constructor of `FloatProperty`
      Parameters:
        `bean` - the bean of this `FloatProperty`
        `name` - the name of this `FloatProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`